clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::serialization::PPSkippedRange Struct Reference

Source range of a skipped preprocessor region. More...

`#include "clang/Serialization/ASTBitCodes.h"`

Collaboration diagram for clang::serialization::PPSkippedRange:
[legend]

## Public Member Functions
| PPSkippedRange (SourceRange R)
SourceLocation | getBegin () const
SourceLocation | getEnd () const

## Public Attributes
unsigned | Begin
| Raw source location of beginning of range. More...
unsigned | End
| Raw source location of end of range. More...

## Detailed Description

Source range of a skipped preprocessor region.

Definition at line 201 of file ASTBitCodes.h.

## Constructor & Destructor Documentation

## ◆ PPSkippedRange()

clang::serialization::PPSkippedRange::PPSkippedRange | ( | SourceRange | R | ) |
| inline

Definition at line 207 of file ASTBitCodes.h.

## Member Function Documentation

## ◆ getBegin()

SourceLocation clang::serialization::PPSkippedRange::getBegin | ( |  | ) | const
| inline

Definition at line 211 of file ASTBitCodes.h.

References clang::SourceLocation::getFromRawEncoding().

Referenced by clang::ASTReader::ReadSkippedRange().

## ◆ getEnd()

SourceLocation clang::serialization::PPSkippedRange::getEnd | ( |  | ) | const
| inline

Definition at line 214 of file ASTBitCodes.h.

References clang::SourceLocation::getFromRawEncoding().

Referenced by clang::ASTReader::ReadSkippedRange().

## Member Data Documentation

## ◆ Begin

unsigned clang::serialization::PPSkippedRange::Begin

Raw source location of beginning of range.

Definition at line 203 of file ASTBitCodes.h.

## ◆ End

unsigned clang::serialization::PPSkippedRange::End

Raw source location of end of range.

Definition at line 205 of file ASTBitCodes.h.

The documentation for this struct was generated from the following file:

- include/clang/Serialization/ASTBitCodes.h